#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 3
%define framework kfilemetadata

Summary:        A library for extracting file metadata
Name:           %framework
Version: 5.32.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{framework}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  attr-devel

BuildRequires:  pkgconfig(poppler-qt5)
BuildRequires:  pkgconfig(taglib)
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  ebook-tools-devel

BuildRequires:  kf5-macros

BuildRequires:  kconfig-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  ki18n-devel
BuildRequires:  kservice-devel
BuildRequires:  karchive-devel

BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)

%rename kf5-%name

%description
A library for extracting file metadata.

%files -f %{framework}.lang
%_kf5_plugindir/kfilemetadata

#--------------------------------------------------------------------

%define kf5filemetadata_major 5
%define libkf5filemetadata %mklibname kf5filemetadata %{kf5filemetadata_major}

%package -n %libkf5filemetadata
Summary:      A library for extracting file metadata
Group:        System/Libraries

%description -n %libkf5filemetadata
A library for extracting file metadata.

%files -n %libkf5filemetadata
%_kf5_libdir/libKF5FileMetaData.so.%{kf5filemetadata_major}*
%_kf5_libdir/libKF5FileMetaData.so.3

#--------------------------------------------------------------------

%define kf5filemetadata_devel %mklibname kf5filemetadata -d

%package -n %kf5filemetadata_devel

Summary:        Devel stuff for %framework
Group:          Development/KDE and Qt
Requires:       %libkf5filemetadata = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5filemetadata_devel
This package contains header files needed if you wish to build applications
based on %framework.

%files -n %kf5filemetadata_devel
%_kf5_includedir/KFileMetaData
%_kf5_libdir/cmake/KF5FileMetaData
%_kf5_libdir/libKF5FileMetaData.so

#--------------------------------------------------------------------

%prep
%setup -q -n %framework-%version
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make_build

%install
%make_install -C build
%find_lang  %framework


%changelog
* Tue Jun 20 2017 neoclust <neoclust> 5.32.0-3.mga6
+ Revision: 1108006
- Rebuild against new exiv2

* Tue May 02 2017 akien <akien> 5.32.0-2.mga6
+ Revision: 1098362
- Rebuild for ffmpeg 3.3

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088965
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074536
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072201
- New version 5.28.0

* Mon Nov 28 2016 luigiwalser <luigiwalser> 5.27.0-2.mga6
+ Revision: 1070629
- rebuild for poppler

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058356
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050533
- New version 5.26.0

* Sat Aug 27 2016 daviddavid <daviddavid> 5.25.0-2.mga6
+ Revision: 1049240
- enable EPub support

* Wed Aug 17 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1046723
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041333
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021931
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014341
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999637
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986330
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942250
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921283
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 913031
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909867
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900491
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899614
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898927
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888167
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881391
- New version 5.14.0

* Wed Aug 26 2015 neoclust <neoclust> 5.13.0-2.mga6
+ Revision: 869820
- Rebuild against gcc

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862952
- New version 5.13.0

* Tue Jul 28 2015 neoclust <neoclust> 5.9.1-2.mga6
+ Revision: 858499
- Rename to %%name

* Wed Jul 01 2015 neoclust <neoclust> 5.9.1-1.mga6
+ Revision: 849386
- New version 5.9.1
- New version 5.9.1

* Fri Dec 19 2014 neoclust <neoclust> 5.1.2-3.mga5
+ Revision: 804119
- New version

* Wed Oct 15 2014 umeabot <umeabot> 5.0.1-3.mga5
+ Revision: 749623
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.1-2.mga5
+ Revision: 681048
- Mageia 5 Mass Rebuild

* Wed Aug 13 2014 neoclust <neoclust> 5.0.1-1.mga5
+ Revision: 662156
- New version 5.0.1

* Wed Jul 16 2014 neoclust <neoclust> 5.0.0-2.mga5
+ Revision: 653281
- Fix provides

* Wed Jul 16 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 653279
- imported package kf5-kfilemetadata

